gtkmm 2.4: Gtk::Window Class Reference

Main Page Widgets Namespaces Book

# Gtk::Window Class Reference
[Widgets]

Inheritance diagram for Gtk::Window:

[legend]
List of all members.

## Detailed Description

Toplevel Window This represents all widgets which are physical windows controlled by the window manager.

The window will be hidden when the window manager's close button is clicked. Override on_delete_event() to stop this.

Gtk::manage() has no effect on Windows because they have no parent Containers.

## Public Member Functions
bool | activate_default ()
| Activates the default widget for the window, unless the current focused widget has been configured to receive the default action (see Gtk::RECEIVES_DEFAULT in Gtk::WidgetFlags), in which case the focused widget is activated.
bool | activate_focus ()
| Activates the current focused widget within the window.
void | add_accel_group (const Glib::RefPtr<AccelGroup>& accel_group)
| Associate accel_group with window , such that calling gtk_accel_groups_activate() on window will activate accelerators in accel_group .
void | add_mnemonic (guint keyval, Widget& target)
| Adds a mnemonic to this window.
void | begin_move_drag (int button, int root_x, int root_y, guint32 timestamp)
| Starts moving a window.
void | begin_resize_drag (Gdk::WindowEdge edge, int button, int root_x, int root_y, guint32 timestamp)
| Starts resizing a window.
void | deiconify ()
| Asks to deiconify (i.e. unminimize) the specified window .
void | fullscreen ()
| Asks to place window in the fullscreen state.
Glib::RefPtr<AccelGroup> | get_accel_group ()
| Returns a default accel group for this window This is a gtkmm-specific function.
bool | get_decorated () const
| Returns whether the window has been set to have decorations such as a title bar via set_decorated().
void | get_default_size (int& width, int& height) const
| Gets the default size of the window.
bool | get_destroy_with_parent () const
| Returns whether the window will be destroyed with its transient parent.
const Widget* | get_focus () const
| Retrieves the current focused widget within the window.
Widget* | get_focus ()
| Retrieves the current focused widget within the window.
Glib::RefPtr<const Gdk::Window> | get_frame () const
Glib::RefPtr<Gdk::Window> | get_frame ()
void | get_frame_dimensions (int& left, int& top, int& right, int& bottom) const
| (Note: this is a special-purpose function intended for the framebuffer port; see set_has_frame().
Gdk::Gravity | get_gravity () const
| Gets the value set by set_gravity().
bool | get_has_frame () const
| Accessor for whether the window has a frame window exterior to window ->window.
Glib::RefPtr<const Gdk::Pixbuf> | get_icon () const
| Gets the value set by set_icon() (or if you've called set_icon_list(), gets the first icon in the icon list).
Glib::RefPtr<Gdk::Pixbuf> | get_icon ()
| Gets the value set by set_icon() (or if you've called set_icon_list(), gets the first icon in the icon list).
Glib::ListHandle< Glib::RefPtr< const Gdk::Pixbuf > > | get_icon_list () const
| Retrieves the list of icons set by set_icon_list().
Glib::ListHandle< Glib::RefPtr< Gdk::Pixbuf > > | get_icon_list ()
| Retrieves the list of icons set by set_icon_list().
Gdk::ModifierType | get_mnemonic_modifier ()
| Returns the mnemonic modifier for this window.
bool | get_modal () const
| Returns whether the window is modal.
void | get_position (int& root_x, int& root_y) const
| This function returns the position you need to pass to move() to keep window in its current position.
bool | get_resizable () const
| Gets the value set by set_resizable().
Glib::ustring | get_role () const
| Returns the role of the window.
Glib::RefPtr<const Gdk::Screen> | get_screen () const
| Returns the Gdk::Screen associated with window .
Glib::RefPtr<Gdk::Screen> | get_screen ()
| Returns the Gdk::Screen associated with window .
void | get_size (int& width, int& height) const
| Obtains the current size of window .
bool | get_skip_pager_hint () const
| Gets the value set by set_skip_pager_hint().
bool | get_skip_taskbar_hint () const
| Gets the value set by set_skip_taskbar_hint().
Glib::ustring | get_title () const
| Retrieves the title of the window.
const Window* | get_transient_for () const
| Fetches the transient parent for this window.
Window* | get_transient_for ()
| Fetches the transient parent for this window.
Gdk::WindowTypeHint | get_type_hint () const
| Gets the type hint for this window.
bool | get_urgency_hint () const
| Gets the value set by set_urgency_hint().
WindowType | get_window_type () const
const GtkWindow* | gobj () const
| Provides access to the underlying C GtkObject.
GtkWindow* | gobj ()
| Provides access to the underlying C GtkObject.
void | iconify ()
| Asks to iconify (i.e. minimize) the specified window .
bool | is_dialog () const
bool | is_popup () const
bool | is_toplevel () const
void | maximize ()
| Asks to maximize window , so that it becomes full-screen.
bool | mnemonic_activate (guint keyval, Gdk::ModifierType modifier)
| Activates the targets associated with the mnemonic.
void | move (int x, int y)
| Asks the window manager to move window to the given position.
bool | parse_geometry (const Glib::ustring& geometry)
| Parses a standard X Window System geometry string - see the manual page for X (type 'man X') for details on this.
void | present (guint32 timestamp)
| Presents a window to the user in response to a user interaction.
void | present ()
| Presents a window to the user.
virtual void | raise ()
| Brings the window to the front.
void | remove_accel_group (const Glib::RefPtr<AccelGroup>& accel_group)
| Reverses the effects of add_accel_group().
void | remove_mnemonic (guint keyval, Widget& target)
| Removes a mnemonic from this window.
void | reshow_with_initial_size ()
| Hides window , then reshows it, resetting the default size and position of the window.
void | resize (int width, int height)
| Resizes the window as if the user had done so, obeying geometry constraints.
void | set_decorated (bool setting=true)
| By default, windows are decorated with a title bar, resize controls, etc.
void | set_default (Gtk::Widget& default_widget)
| The default widget is the widget that's activated when the user presses Enter in a dialog (for example).
void | set_default_size (int width, int height)
| Sets the default size of a window.
void | set_focus (Gtk::Widget& focus)
| If focus is not the current focus widget, and is focusable, sets it as the focus widget for the window.
void | set_frame_dimensions (int left, int top, int right, int bottom)
| (Note: this is a special-purpose function intended for the framebuffer port; see set_has_frame().
void | set_geometry_hints (Widget& geometry_widget, const Gdk::Geometry& geometry, Gdk::WindowHints geom_mask)
| This function sets up hints about how a window can be resized by the user.
void | set_gravity (Gdk::Gravity gravity)
| Window gravity defines the meaning of coordinates passed to move().
void | set_has_frame (bool setting=true)
| (Note: this is a special-purpose function for the framebuffer port, that causes GTK+ to draw its own window border.
void | set_icon (const Glib::RefPtr<Gdk::Pixbuf>& icon)
| Sets up the icon representing a Gtk::Window.
bool | set_icon_from_file (const std::string& filename, std::auto_ptr<Glib::Error>& error)
| Sets the icon for the window.
void | set_icon_list (const Glib::ListHandle<Glib::RefPtr<Gdk::Pixbuf>>& list)
| Sets up the icon representing a Gtk::Window.
void | set_keep_above (bool setting=true)
| Asks to keep window above, so that it stays on top.
void | set_keep_below (bool setting=true)
| Asks to keep window below, so that it stays in bottom.
virtual void | set_manage ()
| Overriden to warn that it doesn't make sense to use Gtk::manage() on this class because it has no parent container.
void | set_mnemonic_modifier (Gdk::ModifierType modifier)
| Sets the mnemonic modifier for this window.
void | set_modal (bool modal=true)
| Sets a window modal or non-modal.
void | set_position (WindowPosition position)
| Sets a position constraint for this window.
void | set_resizable (bool resizable=true)
| Sets whether the user can resize a window.
void | set_role (const Glib::ustring& role)
| This function is only useful on X11, not with other GTK+ targets.
void | set_screen (const Glib::RefPtr<Gdk::Screen>& screen)
| Sets the Gdk::Screen where the window is displayed; if the window is already mapped, it will be unmapped, and then remapped on the new screen.
void | set_skip_pager_hint (bool setting=true)
| Windows may set a hint asking the desktop environment not to display the window in the pager.
void | set_skip_taskbar_hint (bool setting=true)
| Windows may set a hint asking the desktop environment not to display the window in the task bar.
void | set_title (const Glib::ustring& title)
| Sets the title of the Gtk::Window.
void | set_transient_for (Window& parent)
| Dialog windows should be set transient for the main application window they were spawned from.
void | set_type_hint (Gdk::WindowTypeHint hint)
| By setting the type hint for the window, you allow the window manager to decorate and handle the window in a way which is suitable to the function of the window in your application.
void | set_urgency_hint (bool setting=true)
| Windows may set a hint asking the desktop environment to draw the users attention to the window.
void | set_wmclass (const Glib::ustring& wmclass_name, const Glib::ustring& wmclass_class)
| Don't use this function.
Glib::SignalProxy1< bool, GdkEvent* > | signal_frame_event ()
Glib::SignalProxy1< void, Widget* > | signal_set_focus ()
void | stick ()
| Asks to stick window , which means that it will appear on all user desktops.
void | unfullscreen ()
| Asks to toggle off the fullscreen state for window .
void | unmaximize ()
| Asks to unmaximize window .
void | unset_default ()
void | unset_focus ()
void | unstick ()
| Asks to unstick window , which means that it will appear on only one of the user's desktops.
| Window (WindowType type=WINDOW_TOPLEVEL)
virtual | ~Window ()
## Static Public Member Functions
static Glib::ListHandle< Glib::RefPtr< Gdk::Pixbuf > > | get_default_icon_list ()
| Gets the value set by Gtk::Window::set_default_icon_list().
static Glib::ListHandle<Window*> | list_toplevels ()
| Returns a list of all existing toplevel windows.
static void | set_auto_startup_notification (bool setting=true)
| By default, after showing the first Gtk::Window for each Gdk::Screen, GTK+ calls gdk_screen_notify_startup_complete().
static void | set_default_icon (const Glib::RefPtr<Gdk::Pixbuf>& icon)
| Sets an icon to be used as fallback for windows that haven't had set_icon() called on them from a pixbuf.
static bool | set_default_icon_from_file (const std::string& filename, std::auto_ptr<Glib::Error>& error)
| Sets an icon to be used as fallback for windows that haven't had set_icon_list() called on them from a file on disk.
static void | set_default_icon_list (const Glib::ListHandle<Glib::RefPtr<Gdk::Pixbuf>>& list)
| Sets an icon list to be used as fallback for windows that haven't had set_icon_list() called on them to set up a window-specific icon list.
## Protected Member Functions
void | _destroy_c_instance ()
void | destroy_ ()
## Related Functions
(Note that these are not member functions.)
Gtk::Window* | wrap (GtkWindow* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::Window::~Window | ( |  | ) | `[virtual]`

Gtk::Window::Window | ( | WindowType | type = `WINDOW_TOPLEVEL` | ) | `[explicit]`

## Member Function Documentation

void Gtk::Window::_destroy_c_instance | ( |  | ) | `[protected]`

| Reimplemented from Gtk::Object.

bool Gtk::Window::activate_default | ( |  | ) |

| Activates the default widget for the window, unless the current focused widget has been configured to receive the default action (see Gtk::RECEIVES_DEFAULT in Gtk::WidgetFlags), in which case the focused widget is activated. Returns: `true` if a widget got activated.

bool Gtk::Window::activate_focus | ( |  | ) |

| Activates the current focused widget within the window. Returns: `true` if a widget got activated.

void Gtk::Window::add_accel_group | ( | const Glib::RefPtr<AccelGroup>& | accel_group | ) |

  | Associate accel_group with window , such that calling gtk_accel_groups_activate() on window will activate accelerators in accel_group . Parameters:
  | accel_group | A Gtk::AccelGroup.

void Gtk::Window::add_mnemonic | ( | guint | keyval,
|  | Widget& | target
| ) |

  | Adds a mnemonic to this window. Parameters:
  | keyval | The mnemonic.
  | target | The widget that gets activated by the mnemonic.

void Gtk::Window::begin_move_drag | ( | int | button,
|  | int | root_x,
|  | int | root_y,
|  | guint32 | timestamp
| ) |

  | Starts moving a window. This function is used if an application has window movement grips. When GDK can support it, the window movement will be done using the standard mechanism for the window manager or windowing system. Otherwise, GDK will try to emulate window movement, potentially not all that well, depending on the windowing system. Parameters:
  | button | Mouse button that initiated the drag.
  | root_x | X position where the user clicked to initiate the drag, in root window coordinates.
  | root_y | Y position where the user clicked to initiate the drag.
  | timestamp | Timestamp from the click event that initiated the drag.

void Gtk::Window::begin_resize_drag | ( | Gdk::WindowEdge | edge,
|  | int | button,
|  | int | root_x,
|  | int | root_y,
|  | guint32 | timestamp
| ) |

  | Starts resizing a window. This function is used if an application has window resizing controls. When GDK can support it, the resize will be done using the standard mechanism for the window manager or windowing system. Otherwise, GDK will try to emulate window resizing, potentially not all that well, depending on the windowing system. Parameters:
  | button | Mouse button that initiated the drag.
  | edge | Position of the resize control.
  | root_x | X position where the user clicked to initiate the drag, in root window coordinates.
  | root_y | Y position where the user clicked to initiate the drag.
  | timestamp | Timestamp from the click event that initiated the drag.

void Gtk::Window::deiconify | ( |  | ) |

| Asks to deiconify (i.e. unminimize) the specified window . Note that you shouldn't assume the window is definitely deiconified afterward, because other entities (e.g. the user or window manager) could iconify it again before your code which assumes deiconification gets to run. You can track iconification via the "window_state_event" signal on Gtk::Widget.

void Gtk::Window::destroy_ | ( |  | ) | `[protected]`

| Reimplemented from Gtk::Object.

void Gtk::Window::fullscreen | ( |  | ) |

| Asks to place window in the fullscreen state. Note that you shouldn't assume the window is definitely full screen afterward, because other entities (e.g. the user or window manager) could unfullscreen it again, and not all window managers honor requests to fullscreen windows. But normally the window will end up fullscreen. Just don't write code that crashes if not. You can track the fullscreen state via the "window_state_event" signal on Gtk::Widget. Since gtkmm 2.2:

Glib::RefPtr<AccelGroup> Gtk::Window::get_accel_group | ( |  | ) |

| Returns a default accel group for this window This is a gtkmm-specific function. This accel group can not be removed.

bool Gtk::Window::get_decorated | ( |  | ) | const

| Returns whether the window has been set to have decorations such as a title bar via set_decorated(). Returns: `true` if the window has been set to have decorations.

static Glib::ListHandle<Glib::RefPtr<Gdk::Pixbuf>> Gtk::Window::get_default_icon_list | ( |  | ) | `[static]`

| Gets the value set by Gtk::Window::set_default_icon_list(). Returns: Copy of default icon list.

void Gtk::Window::get_default_size | ( | int& | width,
|  | int& | height
| ) | const

  | Gets the default size of the window. A value of -1 for the width or height indicates that a default size has not been explicitly set for that dimension, so the "natural" size of the window will be used. Parameters:
  | width | Location to store the default width.
  | height | Location to store the default height.

bool Gtk::Window::get_destroy_with_parent | ( |  | ) | const

| Returns whether the window will be destroyed with its transient parent. See set_destroy_with_parent(). Returns: `true` if the window will be destroyed with its transient parent.

const Widget* Gtk::Window::get_focus | ( |  | ) | const

| Retrieves the current focused widget within the window. Note that this is the widget that would have the focus if the toplevel window focused; if the toplevel window is not focused then `GTK_WIDGET_HAS_FOCUS (widget)` will not be `true` for the widget. Returns: The currently focused widget, or `0` if there is none.

Widget* Gtk::Window::get_focus | ( |  | ) |

| Retrieves the current focused widget within the window. Note that this is the widget that would have the focus if the toplevel window focused; if the toplevel window is not focused then `GTK_WIDGET_HAS_FOCUS (widget)` will not be `true` for the widget. Returns: The currently focused widget, or `0` if there is none.

Glib::RefPtr<const Gdk::Window> Gtk::Window::get_frame | ( |  | ) | const

Glib::RefPtr<Gdk::Window> Gtk::Window::get_frame | ( |  | ) |

void Gtk::Window::get_frame_dimensions | ( | int& | left,
|  | int& | top,
|  | int& | right,
|  | int& | bottom
| ) | const

  | (Note: this is a special-purpose function intended for the framebuffer port; see set_has_frame(). It will not return the size of the window border drawn by the window manager, which is the normal case when using a windowing system. See gdk_window_get_frame_extents() to get the standard window border extents.) Retrieves the dimensions of the frame window for this toplevel. See set_has_frame(), set_frame_dimensions(). Parameters:
  | left | Location to store the width of the frame at the left.
  | top | Location to store the height of the frame at the top.
  | right | Location to store the width of the frame at the returns.
  | bottom | Location to store the height of the frame at the bottom.

Gdk::Gravity Gtk::Window::get_gravity | ( |  | ) | const

| Gets the value set by set_gravity(). Returns: Window gravity.

bool Gtk::Window::get_has_frame | ( |  | ) | const

| Accessor for whether the window has a frame window exterior to window ->window. Gets the value set by set_has_frame(). Returns: `true` if a frame has been added to the window via set_has_frame().

Glib::RefPtr<const Gdk::Pixbuf> Gtk::Window::get_icon | ( |  | ) | const

| Gets the value set by set_icon() (or if you've called set_icon_list(), gets the first icon in the icon list). Returns: Icon for window.

Glib::RefPtr<Gdk::Pixbuf> Gtk::Window::get_icon | ( |  | ) |

| Gets the value set by set_icon() (or if you've called set_icon_list(), gets the first icon in the icon list). Returns: Icon for window.

Glib::ListHandle<Glib::RefPtr<const Gdk::Pixbuf>> Gtk::Window::get_icon_list | ( |  | ) | const

| Retrieves the list of icons set by set_icon_list(). The list is copied, but the reference count on each member won't be incremented. Returns: Copy of window's icon list.

Glib::ListHandle<Glib::RefPtr<Gdk::Pixbuf>> Gtk::Window::get_icon_list | ( |  | ) |

| Retrieves the list of icons set by set_icon_list(). The list is copied, but the reference count on each member won't be incremented. Returns: Copy of window's icon list.

Gdk::ModifierType Gtk::Window::get_mnemonic_modifier | ( |  | ) |

| Returns the mnemonic modifier for this window. See set_mnemonic_modifier(). Returns: The modifier mask used to activate mnemonics on this window.

bool Gtk::Window::get_modal | ( |  | ) | const

| Returns whether the window is modal. See set_modal(). Returns: `true` if the window is set to be modal and establishes a grab when shown.

void Gtk::Window::get_position | ( | int& | root_x,
|  | int& | root_y
| ) | const

  | This function returns the position you need to pass to move() to keep window in its current position. This means that the meaning of the returned value varies with window gravity. See move() for more details. If you haven't changed the window gravity, its gravity will be Gdk::GRAVITY_NORTH_WEST. This means that get_position() gets the position of the top-left corner of the window manager frame for the window. move() sets the position of this same top-left corner. get_position() is not 100% reliable because the X Window System does not specify a way to obtain the geometry of the decorations placed on a window by the window manager. Thus GTK+ is using a "best guess" that works with most window managers. Moreover, nearly all window managers are historically broken with respect to their handling of window gravity. So moving a window to its current position as returned by get_position() tends to result in moving the window slightly. Window managers are slowly getting better over time. If a window has gravity Gdk::GRAVITY_STATIC the window manager frame is not relevant, and thus get_position() will always produce accurate results. However you can't use static gravity to do things like place a window in a corner of the screen, because static gravity ignores the window manager decorations. If you are saving and restoring your application's window positions, you should know that it's impossible for applications to do this without getting it somewhat wrong because applications do not have sufficient knowledge of window manager state. The Correct Mechanism is to support the session management protocol (see the "GnomeClient" object in the GNOME libraries for example) and allow the window manager to save your window sizes and positions. Parameters:
  | root_x | Return location for X coordinate of gravity-determined reference point.
  | root_y | Return location for Y coordinate of gravity-determined reference point.

bool Gtk::Window::get_resizable | ( |  | ) | const

| Gets the value set by set_resizable(). Returns: `true` if the user can resize the window.

Glib::ustring Gtk::Window::get_role | ( |  | ) | const

| Returns the role of the window. See set_role() for further explanation. Returns: The role of the window if set, or `0`. The returned is owned by the widget and must not be modified or freed.

Glib::RefPtr<const Gdk::Screen> Gtk::Window::get_screen | ( |  | ) | const

| Returns the Gdk::Screen associated with window . Returns: A Gdk::Screen. Since gtkmm 2.2: Reimplemented from Gtk::Widget.

Glib::RefPtr<Gdk::Screen> Gtk::Window::get_screen | ( |  | ) |

| Returns the Gdk::Screen associated with window . Returns: A Gdk::Screen. Since gtkmm 2.2: Reimplemented from Gtk::Widget.

void Gtk::Window::get_size | ( | int& | width,
|  | int& | height
| ) | const

  | Obtains the current size of window . If window is not onscreen, it returns the size GTK+ will suggest to the window manager for the initial window size (but this is not reliably the same as the size the window manager will actually select). The size obtained by get_size() is the last size received in a Gdk::EventConfigure, that is, GTK+ uses its locally-stored size, rather than querying the X server for the size. As a result, if you call resize() then immediately call get_size(), the size won't have taken effect yet. After the window manager processes the resize request, GTK+ receives notification that the size has changed via a configure event, and the size of the window gets updated. Note: Nearly any use of this function creates a race condition, because the size of the window may change between the time that you get the size and the time that you perform some action assuming that size is the current size. To avoid race conditions, connect to "configure_event" on the window and adjust your size-dependent state to match the size delivered in the Gdk::EventConfigure. The returned size does not include the size of the window manager decorations (aka the window frame or border). Those are not drawn by GTK+ and GTK+ has no reliable method of determining their size. If you are getting a window size in order to position the window onscreen, there may be a better way. The preferred way is to simply set the window's semantic type with set_type_hint(), which allows the window manager to e.g. center dialogs. Also, if you set the transient parent of dialogs with set_transient_for() window managers will often center the dialog over its parent window. It's much preferred to let the window manager handle these things rather than doing it yourself, because all apps will behave consistently and according to user prefs if the window manager handles it. Also, the window manager can take the size of the window decorations/border into account, while your application cannot. In any case, if you insist on application-specified window positioning, there's still a better way than doing it yourself - set_position() will frequently handle the details for you. Parameters:
  | width | Return location for width.
  | height | Return location for height.

bool Gtk::Window::get_skip_pager_hint | ( |  | ) | const

| Gets the value set by set_skip_pager_hint(). Returns: `true` if window shouldn't be in pager Since gtkmm 2.2:

bool Gtk::Window::get_skip_taskbar_hint | ( |  | ) | const

| Gets the value set by set_skip_taskbar_hint(). Returns: `true` if window shouldn't be in taskbar Since gtkmm 2.2:

Glib::ustring Gtk::Window::get_title | ( |  | ) | const

| Retrieves the title of the window. See set_title(). Returns: The title of the window, or `0` if none has been set explicitely. The returned string is owned by the widget and must not be modified or freed.

const Window* Gtk::Window::get_transient_for | ( |  | ) | const

| Fetches the transient parent for this window. See set_transient_for(). Returns: The transient parent for this window, or `0` if no transient parent has been set.

Window* Gtk::Window::get_transient_for | ( |  | ) |

| Fetches the transient parent for this window. See set_transient_for(). Returns: The transient parent for this window, or `0` if no transient parent has been set.

Gdk::WindowTypeHint Gtk::Window::get_type_hint | ( |  | ) | const

| Gets the type hint for this window. See set_type_hint(). Returns: The type hint for window .

bool Gtk::Window::get_urgency_hint | ( |  | ) | const

| Gets the value set by set_urgency_hint(). Returns: `true` if window is urgent Since gtkmm 2.8:

WindowType Gtk::Window::get_window_type | ( |  | ) | const

const GtkWindow* Gtk::Window::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Bin. Reimplemented in Gtk::AboutDialog, Gtk::ColorSelectionDialog, Gtk::Dialog, Gtk::FileChooserDialog, Gtk::FileSelection, Gtk::FontSelectionDialog, Gtk::InputDialog, Gtk::MessageDialog, and Gtk::Plug.

GtkWindow* Gtk::Window::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Bin. Reimplemented in Gtk::AboutDialog, Gtk::ColorSelectionDialog, Gtk::Dialog, Gtk::FileChooserDialog, Gtk::FileSelection, Gtk::FontSelectionDialog, Gtk::InputDialog, Gtk::MessageDialog, and Gtk::Plug.

void Gtk::Window::iconify | ( |  | ) |

| Asks to iconify (i.e. minimize) the specified window . Note that you shouldn't assume the window is definitely iconified afterward, because other entities (e.g. the user or window manager) could deiconify it again, or there may not be a window manager in which case iconification isn't possible, etc. But normally the window will end up iconified. Just don't write code that crashes if not. It's permitted to call this function before showing a window, in which case the window will be iconified before it ever appears onscreen. You can track iconification via the "window_state_event" signal on Gtk::Widget.

bool Gtk::Window::is_dialog | ( |  | ) | const

bool Gtk::Window::is_popup | ( |  | ) | const

bool Gtk::Window::is_toplevel | ( |  | ) | const

| Reimplemented from Gtk::Widget.

static Glib::ListHandle<Window*> Gtk::Window::list_toplevels | ( |  | ) | `[static]`

| Returns a list of all existing toplevel windows. The widgets in the list are not individually referenced. If you want to iterate through the list and perform actions involving callbacks that might destroy the widgets, you must call `g_list_foreach (result, (GFunc)g_object_ref, `0`)` first, and then unref all the widgets afterwards. Returns: List of toplevel widgets.

void Gtk::Window::maximize | ( |  | ) |

| Asks to maximize window , so that it becomes full-screen. Note that you shouldn't assume the window is definitely maximized afterward, because other entities (e.g. the user or window manager) could unmaximize it again, and not all window managers support maximization. But normally the window will end up maximized. Just don't write code that crashes if not. It's permitted to call this function before showing a window, in which case the window will be maximized when it appears onscreen initially. You can track maximization via the "window_state_event" signal on Gtk::Widget.

bool Gtk::Window::mnemonic_activate | ( | guint | keyval,
|  | Gdk::ModifierType | modifier
| ) |

  | Activates the targets associated with the mnemonic. Parameters:
  | keyval | The mnemonic.
  | modifier | The modifiers.
Returns: `true` if the activation is done.

void Gtk::Window::move | ( | int | x,
|  | int | y
| ) |

  | Asks the window manager to move window to the given position. Window managers are free to ignore this; most window managers ignore requests for initial window positions (instead using a user-defined placement algorithm) and honor requests after the window has already been shown. Note: the position is the position of the gravity-determined reference point for the window. The gravity determines two things: first, the location of the reference point in root window coordinates; and second, which point on the window is positioned at the reference point. By default the gravity is Gdk::GRAVITY_NORTH_WEST, so the reference point is simply the x , y supplied to move(). The top-left corner of the window decorations (aka window frame or border) will be placed at x , y . Therefore, to position a window at the top left of the screen, you want to use the default gravity (which is Gdk::GRAVITY_NORTH_WEST) and move the window to 0,0. To position a window at the bottom right corner of the screen, you would set Gdk::GRAVITY_SOUTH_EAST, which means that the reference point is at x + the window width and y + the window height, and the bottom-right corner of the window border will be placed at that reference point. So, to place a window in the bottom right corner you would first set gravity to south east, then write: `gtk_window_move (window, gdk_screen_width() - window_width, gdk_screen_height() - window_height)`. The Extended Window Manager Hints specification at http://www.freedesktop.org/Standards/wm-spec has a nice table of gravities in the "implementation notes" section. The get_position() documentation may also be relevant. Parameters:
  | x | X coordinate to move window to.
  | y | Y coordinate to move window to.

bool Gtk::Window::parse_geometry | ( | const Glib::ustring& | geometry | ) |

| Parses a standard X Window System geometry string - see the manual page for X (type 'man X') for details on this. parse_geometry() does work on all GTK+ ports including Win32 but is primarily intended for an X environment. If either a size or a position can be extracted from the geometry string, parse_geometry() returns `true` and calls set_default_size() and/or move() to resize/move the window. If parse_geometry() returns `true`, it will also set the Gdk::HINT_USER_POS and/or Gdk::HINT_USER_SIZE hints indicating to the window manager that the size/position of the window was user-specified. This causes most window managers to honor the geometry. Note that for parse_geometry() to work as expected, it has to be called when the window has its "final" size, i.e. after calling Gtk::Widget::show_all() on the contents and set_geometry_hints() on the window.
     #include &lt;gtk/gtk.h&gt;

     static void
     fill_with_content (GtkWidget *vbox)
     {
     /&lt;!-- --&gt;* fill with content... *&lt;!-- --&gt;/
     }

     int
     main (int argc, char *argv[])
     {
     GtkWidget *window, *vbox;
     GdkGeometry size_hints = {
     100, 50, 0, 0, 100, 50, 10, 10, 0.0, 0.0, GDK_GRAVITY_NORTH_WEST
     };

     gtk_init (&amp;argc, &amp;argv);

     window = gtk_window_new (GTK_WINDOW_TOPLEVEL);
     vbox = gtk_vbox_new (<tt>false</tt>, 0);

     gtk_container_add (GTK_CONTAINER (window), vbox);
     fill_with_content (vbox);
     gtk_widget_show_all (vbox);

     gtk_window_set_geometry_hints (GTK_WINDOW (window),
     window,
     &amp;size_hints,
     GDK_HINT_MIN_SIZE |
     GDK_HINT_BASE_SIZE |
     GDK_HINT_RESIZE_INC);

     if (argc &gt; 1)
     {
     if (!gtk_window_parse_geometry (GTK_WINDOW (window), argv[1]))
     fprintf (stderr, "Failed to parse '&percnt;s'<tt>\\n</tt>", argv[1]);
     }

     gtk_widget_show_all (window);
     gtk_main();

     return 0;
     }
  Parameters:
  | geometry | Geometry string.
Returns: `true` if string was parsed successfully.

void Gtk::Window::present | ( | guint32 | timestamp | ) |

  | Presents a window to the user in response to a user interaction. If you need to present a window without a timestamp, use present(). See present() for details. Since gtkmm 2.8: Parameters:
  | timestamp | The timestamp of the user interaction (typically a button or key press event) which triggered this call.

void Gtk::Window::present | ( |  | ) |

| Presents a window to the user. This may mean raising the window in the stacking order, deiconifying it, moving it to the current desktop, and/or giving it the keyboard focus, possibly dependent on the user's platform, window manager, and preferences. If window is hidden, this function calls Gtk::Widget::show() as well. This function should be used when the user tries to open a window that's already open. Say for example the preferences dialog is currently open, and the user chooses Preferences from the menu a second time; use present() to move the already-open dialog where the user can see it. If you are calling this function in response to a user interaction, it is preferable to use gdk_window_present_with_time().

virtual void Gtk::Window::raise | ( |  | ) | `[virtual]`

| Brings the window to the front. This is just a more obvious convenience wrapper for get_window()->raise().

void Gtk::Window::remove_accel_group | ( | const Glib::RefPtr<AccelGroup>& | accel_group | ) |

  | Reverses the effects of add_accel_group(). Parameters:
  | accel_group | A Gtk::AccelGroup.

void Gtk::Window::remove_mnemonic | ( | guint | keyval,
|  | Widget& | target
| ) |

  | Removes a mnemonic from this window. Parameters:
  | keyval | The mnemonic.
  | target | The widget that gets activated by the mnemonic.

void Gtk::Window::reshow_with_initial_size | ( |  | ) |

| Hides window , then reshows it, resetting the default size and position of the window. Used by GUI builders only.

void Gtk::Window::resize | ( | int | width,
|  | int | height
| ) |

  | Resizes the window as if the user had done so, obeying geometry constraints. The default geometry constraint is that windows may not be smaller than their size request; to override this constraint, call Gtk::Widget::set_size_request() to set the window's request to a smaller value. If resize() is called before showing a window for the first time, it overrides any default size set with set_default_size(). Windows may not be resized smaller than 1 by 1 pixels. Parameters:
  | width | Width in pixels to resize the window to.
  | height | Height in pixels to resize the window to.

static void Gtk::Window::set_auto_startup_notification | ( | bool | setting = `true` | ) | `[static]`

  | By default, after showing the first Gtk::Window for each Gdk::Screen, GTK+ calls gdk_screen_notify_startup_complete(). Call this function to disable the automatic startup notification. You might do this if your first window is a splash screen, and you want to delay notification until after your real main window has been shown, for example. In that example, you would disable startup notification temporarily, show your splash screen, then re-enable it so that showing the main window would automatically result in notification. Since gtkmm 2.2: Parameters:
  | setting | `true` to automatically do startup notification.

void Gtk::Window::set_decorated | ( | bool | setting = `true` | ) |

  | By default, windows are decorated with a title bar, resize controls, etc. Some window managers allow GTK+ to disable these decorations, creating a borderless window. If you set the decorated property to `false` using this function, GTK+ will do its best to convince the window manager not to decorate the window. Depending on the system, this function may not have any effect when called on a window that is already visible, so you should call it before calling gtk_window_show(). On Windows, this function always works, since there's no window manager policy involved. Parameters:
  | setting | `true` to decorate the window.

void Gtk::Window::set_default | ( | Gtk::Widget& | default_widget | ) |

  | The default widget is the widget that's activated when the user presses Enter in a dialog (for example). This function sets the default widget for a Gtk::Window. When setting (rather than unsetting) the default widget it's generally easier to call Gtk::Widget::grab_focus() on the widget. Before making a widget the default widget, you must set the Gtk::CAN_DEFAULT flag on the widget you'd like to make the default using GTK_WIDGET_SET_FLAGS(). Parameters:
  | default_widget | Widget to be the default.

static void Gtk::Window::set_default_icon | ( | const Glib::RefPtr<Gdk::Pixbuf>& | icon | ) | `[static]`

  | Sets an icon to be used as fallback for windows that haven't had set_icon() called on them from a pixbuf. Since gtkmm 2.4: Parameters:
  | icon | The icon.

static bool Gtk::Window::set_default_icon_from_file | ( | const std::string& | filename,
|  | std::auto_ptr<Glib::Error>& | error
| ) | `[static]`

  | Sets an icon to be used as fallback for windows that haven't had set_icon_list() called on them from a file on disk. Warns on failure if err is `0`. Parameters:
  | filename | Location of icon file.
Returns: `true` if setting the icon succeeded. Since gtkmm 2.2:

static void Gtk::Window::set_default_icon_list | ( | const Glib::ListHandle<Glib::RefPtr<Gdk::Pixbuf>>& | list | ) | `[static]`

  | Sets an icon list to be used as fallback for windows that haven't had set_icon_list() called on them to set up a window-specific icon list. This function allows you to set up the icon for all windows in your app at once. See set_icon_list() for more details. Parameters:
  | list | A list of Gdk::Pixbuf.

void Gtk::Window::set_default_size | ( | int | width,
|  | int | height
| ) |

  | Sets the default size of a window. If the window's "natural" size (its size request) is larger than the default, the default will be ignored. More generally, if the default size does not obey the geometry hints for the window (set_geometry_hints() can be used to set these explicitly), the default size will be clamped to the nearest permitted size. Unlike Gtk::Widget::set_size_request(), which sets a size request for a widget and thus would keep users from shrinking the window, this function only sets the initial size, just as if the user had resized the window themselves. Users can still shrink the window again as they normally would. Setting a default size of -1 means to use the "natural" default size (the size request of the window). For more control over a window's initial size and how resizing works, investigate set_geometry_hints(). For some uses, resize() is a more appropriate function. resize() changes the current size of the window, rather than the size to be used on initial display. resize() always affects the window itself, not the geometry widget. The default size of a window only affects the first time a window is shown; if a window is hidden and re-shown, it will remember the size it had prior to hiding, rather than using the default size. Windows can't actually be 0x0 in size, they must be at least 1x1, but passing 0 for width and height is OK, resulting in a 1x1 default size. Parameters:
  | width | Width in pixels, or -1 to unset the default width.
  | height | Height in pixels, or -1 to unset the default height.

void Gtk::Window::set_focus | ( | Gtk::Widget& | focus | ) |

  | If focus is not the current focus widget, and is focusable, sets it as the focus widget for the window. To set the focus to a particular widget in the toplevel, it is usually more convenient to use Gtk::Widget::grab_focus() instead of this function. Parameters:
  | focus | Widget to be the new focus widget.

void Gtk::Window::set_frame_dimensions | ( | int | left,
|  | int | top,
|  | int | right,
|  | int | bottom
| ) |

  | (Note: this is a special-purpose function intended for the framebuffer port; see set_has_frame(). It will have no effect on the window border drawn by the window manager, which is the normal case when using the X Window system.) For windows with frames (see set_has_frame()) this function can be used to change the size of the frame border. Parameters:
  | left | The width of the left border.
  | top | The height of the top border.
  | right | The width of the right border.
  | bottom | The height of the bottom border.

void Gtk::Window::set_geometry_hints | ( | Widget& | geometry_widget,
|  | const Gdk::Geometry& | geometry,
|  | Gdk::WindowHints | geom_mask
| ) |

  | This function sets up hints about how a window can be resized by the user. You can set a minimum and maximum size; allowed resize increments (e.g. for xterm, you can only resize by the size of a character); aspect ratios; and more. See the Gdk::Geometry struct. Parameters:
  | geometry_widget | Widget the geometry hints will be applied to.
  | geometry | Struct containing geometry information.
  | geom_mask | Mask indicating which struct fields should be paid attention to.

void Gtk::Window::set_gravity | ( | Gdk::Gravity | gravity | ) |

  | Window gravity defines the meaning of coordinates passed to move(). See move() and Gdk::Gravity for more details. The default window gravity is Gdk::GRAVITY_NORTH_WEST which will typically "do what you mean." Parameters:
  | gravity | Window gravity.

void Gtk::Window::set_has_frame | ( | bool | setting = `true` | ) |

  | (Note: this is a special-purpose function for the framebuffer port, that causes GTK+ to draw its own window border. For most applications, you want set_decorated() instead, which tells the window manager whether to draw the window border.) If this function is called on a window with setting of `true`, before it is realized or showed, it will have a "frame" window around window ->window, accessible in window ->frame. Using the signal frame_event you can receive all events targeted at the frame. This function is used by the linux-fb port to implement managed windows, but it could concievably be used by X-programs that want to do their own window decorations. Parameters:
  | setting | A boolean.

void Gtk::Window::set_icon | ( | const Glib::RefPtr<Gdk::Pixbuf>& | icon | ) |

  | Sets up the icon representing a Gtk::Window. This icon is used when the window is minimized (also known as iconified). Some window managers or desktop environments may also place it in the window frame, or display it in other contexts. The icon should be provided in whatever size it was naturally drawn; that is, don't scale the image before passing it to GTK+. Scaling is postponed until the last minute, when the desired final size is known, to allow best quality. If you have your icon hand-drawn in multiple sizes, use set_icon_list(). Then the best size will be used. This function is equivalent to calling set_icon_list() with a 1-element list. See also set_default_icon_list() to set the icon for all windows in your application in one go. Parameters:
  | icon | Icon image, or `0`.

bool Gtk::Window::set_icon_from_file | ( | const std::string& | filename,
|  | std::auto_ptr<Glib::Error>& | error
| ) |

  | Sets the icon for the window. This function is equivalent to calling set_icon() with a pixbuf created by loading the image from filename . Parameters:
  | filename | Location of icon file.
Returns: `true` if setting the icon succeeded. Since gtkmm 2.2:

void Gtk::Window::set_icon_list | ( | const Glib::ListHandle<Glib::RefPtr<Gdk::Pixbuf>>& | list | ) |

  | Sets up the icon representing a Gtk::Window. The icon is used when the window is minimized (also known as iconified). Some window managers or desktop environments may also place it in the window frame, or display it in other contexts. set_icon_list() allows you to pass in the same icon in several hand-drawn sizes. The list should contain the natural sizes your icon is available in; that is, don't scale the image before passing it to GTK+. Scaling is postponed until the last minute, when the desired final size is known, to allow best quality. By passing several sizes, you may improve the final image quality of the icon, by reducing or eliminating automatic image scaling. Recommended sizes to provide: 16x16, 32x32, 48x48 at minimum, and larger images (64x64, 128x128) if you have them. See also set_default_icon_list() to set the icon for all windows in your application in one go. Note that transient windows (those who have been set transient for another window using set_transient_for()) will inherit their icon from their transient parent. So there's no need to explicitly set the icon on transient windows. Parameters:
  | list | List of Gdk::Pixbuf.

void Gtk::Window::set_keep_above | ( | bool | setting = `true` | ) |

  | Asks to keep window above, so that it stays on top. Note that you shouldn't assume the window is definitely above afterward, because other entities (e.g. the user or window manager) could not keep it above, and not all window managers support keeping windows above. But normally the window will end kept above. Just don't write code that crashes if not. It's permitted to call this function before showing a window, in which case the window will be kept above when it appears onscreen initially. You can track the above state via the "window_state_event" signal on Gtk::Widget. Note that, according to the Extended Window Manager Hints specification, the above state is mainly meant for user preferences and should not be used by applications e.g. for drawing attention to their dialogs. Since gtkmm 2.4: Parameters:
  | setting | Whether to keep window above other windows.

void Gtk::Window::set_keep_below | ( | bool | setting = `true` | ) |

  | Asks to keep window below, so that it stays in bottom. Note that you shouldn't assume the window is definitely below afterward, because other entities (e.g. the user or window manager) could not keep it below, and not all window managers support putting windows below. But normally the window will be kept below. Just don't write code that crashes if not. It's permitted to call this function before showing a window, in which case the window will be kept below when it appears onscreen initially. You can track the below state via the "window_state_event" signal on Gtk::Widget. Note that, according to the Extended Window Manager Hints specification, the above state is mainly meant for user preferences and should not be used by applications e.g. for drawing attention to their dialogs. Since gtkmm 2.4: Parameters:
  | setting | Whether to keep window below other windows.

virtual void Gtk::Window::set_manage | ( |  | ) | `[virtual]`

| Overriden to warn that it doesn't make sense to use Gtk::manage() on this class because it has no parent container. Reimplemented from Gtk::Object.

void Gtk::Window::set_mnemonic_modifier | ( | Gdk::ModifierType | modifier | ) |

  | Sets the mnemonic modifier for this window. Parameters:
  | modifier | The modifier mask used to activate mnemonics on this window.

void Gtk::Window::set_modal | ( | bool | modal = `true` | ) |

  | Sets a window modal or non-modal. Modal windows prevent interaction with other windows in the same application. To keep modal dialogs on top of main application windows, use set_transient_for() to make the dialog transient for the parent; most window managers will then disallow lowering the dialog below the parent. Parameters:
  | modal | Whether the window is modal.

void Gtk::Window::set_position | ( | WindowPosition | position | ) |

  | Sets a position constraint for this window. If the old or new constraint is Gtk::WIN_POS_CENTER_ALWAYS, this will also cause the window to be repositioned to satisfy the new constraint. Parameters:
  | position | A position constraint.

void Gtk::Window::set_resizable | ( | bool | resizable = `true` | ) |

  | Sets whether the user can resize a window. Windows are user resizable by default. Parameters:
  | resizable | `true` if the user can resize this window.

void Gtk::Window::set_role | ( | const Glib::ustring& | role | ) |

  | This function is only useful on X11, not with other GTK+ targets. In combination with the window title, the window role allows a window manager to identify "the same" window when an application is restarted. So for example you might set the "toolbox" role on your app's toolbox window, so that when the user restarts their session, the window manager can put the toolbox back in the same place. If a window already has a unique title, you don't need to set the role, since the WM can use the title to identify the window when restoring the session. Parameters:
  | role | Unique identifier for the window to be used when restoring a session.

void Gtk::Window::set_screen | ( | const Glib::RefPtr<Gdk::Screen>& | screen | ) |

  | Sets the Gdk::Screen where the window is displayed; if the window is already mapped, it will be unmapped, and then remapped on the new screen. Since gtkmm 2.2: Parameters:
  | screen | A Gdk::Screen.

void Gtk::Window::set_skip_pager_hint | ( | bool | setting = `true` | ) |

  | Windows may set a hint asking the desktop environment not to display the window in the pager. This function sets this hint. (A "pager" is any desktop navigation tool such as a workspace switcher that displays a thumbnail representation of the windows on the screen.) Since gtkmm 2.2: Parameters:
  | setting | `true` to keep this window from appearing in the pager.

void Gtk::Window::set_skip_taskbar_hint | ( | bool | setting = `true` | ) |

  | Windows may set a hint asking the desktop environment not to display the window in the task bar. This function sets this hint. Since gtkmm 2.2: Parameters:
  | setting | `true` to keep this window from appearing in the task bar.

void Gtk::Window::set_title | ( | const Glib::ustring& | title | ) |

  | Sets the title of the Gtk::Window. The title of a window will be displayed in its title bar; on the X Window System, the title bar is rendered by the window manager, so exactly how the title appears to users may vary according to a user's exact configuration. The title should help a user distinguish this window from other windows they may have open. A good title might include the application name and current document filename, for example. Parameters:
  | title | Title of the window.

void Gtk::Window::set_transient_for | ( | Window& | parent | ) |

  | Dialog windows should be set transient for the main application window they were spawned from. This allows window managers to e.g. keep the dialog on top of the main window, or center the dialog over the main window. Gtk::Dialog::new_with_buttons() and other convenience functions in GTK+ will sometimes call set_transient_for() on your behalf. On Windows, this function will and put the child window on top of the parent, much as the window manager would have done on X. Parameters:
  | parent | Parent window.

void Gtk::Window::set_type_hint | ( | Gdk::WindowTypeHint | hint | ) |

  | By setting the type hint for the window, you allow the window manager to decorate and handle the window in a way which is suitable to the function of the window in your application. This function should be called before the window becomes visible. Gtk::Dialog::new_with_buttons() and other convenience functions in GTK+ will sometimes call set_type_hint() on your behalf. Parameters:
  | hint | The window type.

void Gtk::Window::set_urgency_hint | ( | bool | setting = `true` | ) |

  | Windows may set a hint asking the desktop environment to draw the users attention to the window. This function sets this hint. Since gtkmm 2.8: Parameters:
  | setting | `true` to mark this window as urgent.

void Gtk::Window::set_wmclass | ( | const Glib::ustring& | wmclass_name,
|  | const Glib::ustring& | wmclass_class
| ) |

  | Don't use this function. It sets the X Window System "class" and "name" hints for a window. According to the ICCCM, you should always set these to the same value for all windows in an application, and GTK+ sets them to that value by default, so calling this function is sort of pointless. However, you may want to call set_role() on each window in your application, for the benefit of the session manager. Setting the role allows the window manager to restore window positions when loading a saved session. Parameters:
  | wmclass_name | Window name hint.
  | wmclass_class | Window class hint.

Glib::SignalProxy1<bool,GdkEvent*> Gtk::Window::signal_frame_event | ( |  | ) |

| Prototype: `bool frame_event(GdkEvent* event)`

Glib::SignalProxy1<void,Widget*> Gtk::Window::signal_set_focus | ( |  | ) |

| Prototype: `void set_focus(Widget* focus)`

void Gtk::Window::stick | ( |  | ) |

| Asks to stick window , which means that it will appear on all user desktops. Note that you shouldn't assume the window is definitely stuck afterward, because other entities (e.g. the user or window manager) could unstick it again, and some window managers do not support sticking windows. But normally the window will end up stuck. Just don't write code that crashes if not. It's permitted to call this function before showing a window. You can track stickiness via the "window_state_event" signal on Gtk::Widget.

void Gtk::Window::unfullscreen | ( |  | ) |

| Asks to toggle off the fullscreen state for window . Note that you shouldn't assume the window is definitely not full screen afterward, because other entities (e.g. the user or window manager) could fullscreen it again, and not all window managers honor requests to unfullscreen windows. But normally the window will end up restored to its normal state. Just don't write code that crashes if not. You can track the fullscreen state via the "window_state_event" signal on Gtk::Widget. Since gtkmm 2.2:

void Gtk::Window::unmaximize | ( |  | ) |

| Asks to unmaximize window . Note that you shouldn't assume the window is definitely unmaximized afterward, because other entities (e.g. the user or window manager) could maximize it again, and not all window managers honor requests to unmaximize. But normally the window will end up unmaximized. Just don't write code that crashes if not. You can track maximization via the "window_state_event" signal on Gtk::Widget.

void Gtk::Window::unset_default | ( |  | ) |

void Gtk::Window::unset_focus | ( |  | ) |

void Gtk::Window::unstick | ( |  | ) |

| Asks to unstick window , which means that it will appear on only one of the user's desktops. Note that you shouldn't assume the window is definitely unstuck afterward, because other entities (e.g. the user or window manager) could stick it again. But normally the window will end up stuck. Just don't write code that crashes if not. You can track stickiness via the "window_state_event" signal on Gtk::Widget.

## Friends And Related Function Documentation

Gtk::Window* wrap | ( | GtkWindow* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

  | Parameters:
  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.
Returns: A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtk/gtkmm/window.h